#
# default base directory for YAP installation
# (EROOT for architecture-dependent files)
#
prefix = /usr/pkg
ROOTDIR = $(prefix)
EROOTDIR = ${prefix}
#
# where the binary should be
#
BINDIR = $(EROOTDIR)/bin
#
# where YAP should look for libraries
#
LIBDIR=${exec_prefix}/lib/Yap
DESTDIR=$(prefix)/share/Yap
#
#
CC=gcc
CFLAGS= -fPIC -O3 -fomit-frame-pointer -Wall -Wstrict-prototypes -Wmissing-prototypes -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include $(YAP_EXTRAS) $(DEFS)  -I$(srcdir)/../../../include  -I/usr/include -I/usr/pkg/include -I/usr/pkg/include
#
#
# You shouldn't need to change what follows.
#
INSTALL=/usr/bin/install -c -o pbulk -g users
INSTALL_DATA=/usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM=/usr/bin/install -c -s -o pbulk -g users -m 755
SHELL=/bin/sh
RANLIB=ranlib
SHLIB_CFLAGS=-shared -fPIC
SHLIB_SUFFIX=.so
CWD=$(PWD)
srcdir=.
CPLINT_CFLAGS=
CPLINT_LDFLAGS=
CPLINT_LIBS=

#


default:  bddem.so

bddem.so: bddem.o
	$(CC) -shared -export-dynamic  $(CPLINT_LDFLAGS) bddem.o  $(CPLINT_LIBS) -o bddem.so  -Wl,-R,$(YAPLIBDIR) -Wl,-R,$(LIBDIR)

bddem.o : $(srcdir)/bddem.c
	$(CC) -c $(CFLAGS) $(CPLINT_CFLAGS)  $(srcdir)/bddem.c -o bddem.o

clean: 
	rm -f *.o bddem.so

install: default
	$(INSTALL_PROGRAM) bddem.so $(DESTDIR)
